Subject: Re: Fork of abandoned SVN mirror - how to keep up to date with the SVN

From: jamespetts <[email-masked]>
Date: Sun, 29 Mar 2009 04:52:44 -0700 (PDT)

Thank you again for your reply :-) Ahh, yes, that makes sense about the local repository. However, on checking, the local repository that I set up has no files except in .git directories - is that to be expected at this stage?

Also, when I tried "git svn rebase", I got the following error:

"Migrating from a git-svn v1 layout...

"Data from a previous version exists, but .git/svn (required for this version (1.6.2 msysgit.0.186.gf7512) of git-svn) does not exist. Done migrating from a git-svn v1 layout

"Unable to determine upstream SVN information from working tree history"

And the local directories for the repositories are still empty. Am I doing something wrong...?

Heya,

On Sun, Mar 29, 2009 at 12:51, jamespetts <[email-masked]> wrote:
> However, after several hours of downloading (I left it overnight), it gave the error, "The connection was aborted: Can't read from connection: The connection was aborted at C:\Program Files\Git/libexec/git-core/git-svn/ line 2490".

You can continue downloading, just issue' git svn rebase' again, and
it will continue where it left of.

> When I look at my repository on Github, it is still empty, apart
> from the empty README file that I created just to initialise it.
> Why would it be going wrong? How do I deal with that?

You would have to push the repository to github regardless of whether
'git svn rebase' finished in one go. Keep in mind that' git svn
rebase' is the way to get changes _into_ your _local_ repository.
You'll need to use 'git push' to get your changes up to github.

-- 
Cheers,

Sverre Rabbelier
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
View this message in context: http://n2.nabble.com/Fork-of-abandoned-SVN-mirror---how-to-keep-up-to-date-with-the-SVN-tp2548952p2552334.html
Sent from the git mailing list archive at Nabble.com.